# Generated from mergepdfs-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mergepdfs

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: mergepdfs combines multiple PDF files into one output PDF file, each starting at an odd page
License: GPL-3.0-or-later
URL: https://gitlab.com/CampineComputing/mergepdfs
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
BuildArch: noarch

%description
mergepdfs combines multiple PDF files into one output PDF file. Empty pages
are added to ensure that each merged PDF file starts at an odd page number in
the output file. When printed double-sided, pages of the merged PDF files are
never printed on the same sheet.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/mergepdfs
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Aug 24 2021 mockbuilder - 0.1.1-1
- Initial package
